DRIP Entity Tag (DET) Differentiated Access using RDAP
Internet-Draft draft-wiethuechter-drip-det-diff-access-rdap-00
Adam Wiethuechter
AX Enterprize, LLC
4947 Commercial Drive
Yorkville
NY
13495
USA
adam.wiethuechter@axenterprize.com
27 September 2024
Internet
drip Working Group
Internet-Draft
This document defines an RDAP profile and extension data model for UAS registration. It also gives recommendations for AAA mechanisms.
Introduction
For DRIP private information is accessed via the lookup of the DRIP Entity Tag (DET) [RFC9374] in DNS [DET-DNS] and following a URI. This URI per [RFC9153] REG-2 MUST have the data behind it access controlled.
It should be noted that full compliance with RDAP is not required but RECOMMENDED. Where possible DRIP reuses RDAP query methods and reuses or extends response models.
This document only specifies the minimum data models for response of UAS information associated to a DET. Other elements that MAY be required by policy are out of scope for this document.
Terminology
The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and "OPTIONAL" in this document are to be interpreted as described in BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all capitals, as shown here.
URI Specification
The URIs to Private Information resources SHOULD follow those defined in [RFC9082]. For DRIP the /domain query format MUST be support for DETs.
Conformance Literal
The string literal drip_version_0 MUST be used in the rdapConformance section to signal conformance with this specification.
Extension Model
The data model for responses SHOULD follow the RDAP specification for results in [RFC9083]. For DRIP the additional data member is used to hold non-DNS based registration information. The following CDDL is the response model under the RDAP key of drip.

drip = {
  serial_number: tstr .size(5..20),
  csr: bstr,
  x509: [+ bstr / #6.TBD],
  ? caa_assigned_id: tstr,
  ? f3411: {
    ? uas_type: nibble-field,
    ? uas_ids: uas-id-map,
    ? auths: [* auth-grp],
    ? self-grp,
    ? area-grp,
    ? classification-grp,
    ? operator-grp,
  }
  ? utm: {
      operational_intent: #6.37(bstr),
      uss_uri: #6.32(tstr) / tstr
  },
  * tstr => any
}
uas-id-map = {
    &uas-id-types: [+ uas-id]
}
uas-id-types = (none: 0, serial: 1, caa_id: 2, utm_id: 3, session_id: 4)
uas-id: tstr .size(1..20) / bstr .size(1..20)
auth-grp = (
    a_type: nibble-field,
    a_data: bstr .size(1..362)
)
area-grp = (
    area_count: 1..255,
    area_radius: float,
    area_floor: float,
    area_ceiling: float
)
classification-grp = (
    ua_class: 0..8,
    eu_class: nibble-field,
    eu_category: nibble-field
)
self-grp = (
    desc_type: nibble-field,
    description: tstr .size(23)
)
operator-grp = (
    operator_id_type: nibble-field,
    operator_id: bstr .size(20)
)
nibble-field = 0..15

Access Control Mechanisms
TBD
IANA Considerations
RDAP Extensions Registry
This specification registers drip_version_0 extension.

Extension Identifier: drip_version_0
Registry Operator: Any
Specification: This RFC
Contact: IETF DRIP WG <tm-rid@ietf.org>
Intended Usage: This extension identifies additional data elements for
                DRIP registrations in UAS RID.

References
Normative References
[RFC9082]

Registration Data Access Protocol (RDAP) Query Format
S. Hollenbeck
A. Newton
June 2021
STD 95
RFC 9082
DOI 10.17487/RFC9082
[RFC9083]

JSON Responses for the Registration Data Access Protocol (RDAP)
S. Hollenbeck
A. Newton
June 2021
STD 95
RFC 9083
DOI 10.17487/RFC9083
[RFC2119]

Key words for use in RFCs to Indicate Requirement Levels
S. Bradner
March 1997
BCP 14
RFC 2119
DOI 10.17487/RFC2119
[RFC8174]

Ambiguity of Uppercase vs Lowercase in RFC 2119 Key Words
B. Leiba
May 2017
BCP 14
RFC 8174
DOI 10.17487/RFC8174
Informative References
[RFC8126]

Guidelines for Writing an IANA Considerations Section in RFCs
M. Cotton
B. Leiba
T. Narten
June 2017
BCP 26
RFC 8126
DOI 10.17487/RFC8126
[RFC9153]

Drone Remote Identification Protocol (DRIP) Requirements and Terminology
S. Card, Ed.
A. Wiethuechter
R. Moskowitz
A. Gurtov
February 2022
RFC 9153
DOI 10.17487/RFC9153
[RFC9374]

DRIP Entity Tag (DET) for Unmanned Aircraft System Remote ID (UAS RID)
R. Moskowitz
S. Card
A. Wiethuechter
A. Gurtov
March 2023
RFC 9374
DOI 10.17487/RFC9374
[RFC9434]

Drone Remote Identification Protocol (DRIP) Architecture
S. Card
A. Wiethuechter
R. Moskowitz
S. Zhao, Ed.
A. Gurtov
July 2023
RFC 9434
DOI 10.17487/RFC9434
[RFC9575]

DRIP Entity Tag (DET) Authentication Formats and Protocols for Broadcast Remote Identification (RID)
A. Wiethuechter, Ed.
S. Card
R. Moskowitz
June 2024
RFC 9575
DOI 10.17487/RFC9575
[DET-DNS]

DRIP Entity Tags (DET) in the Domain Name System (DNS)
Adam Wiethuechter
AX Enterprize, LLC
Jim Reid
RTFM llp
27 September 2024
Internet-Draft draft-ietf-drip-registries-18